All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sas.swing.visuals.remotefileselector
Class InformationServicesSearchPanel

    com.sas.swing.visuals.remotefileselector.InformationServicesSearchPanel

All Implemented Interfaces:
  ActionProviderViewInterface, SwingActionProviderViewInterface, com.sas.collection.ContentsChangedListener, java.awt.image.ImageObserver, java.awt.MenuContainer, java.beans.PropertyChangeListener, java.io.Serializable, java.util.EventListener, javax.accessibility.Accessible

    public class InformationServicesSearchPanel

Panel used to display the search window for the RemoteFileSelector component.

Since:
  3.0
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.sas.swing.visuals.remotefileselector.RemoteFileSearchPanel
`searchPanel, selectedObjects, tablePanel`

Fields inherited from class com.sas.swing.visuals.remotefileselector.BaseRemoteFileSelectorPanel
`buttonPanel, cancelled, columnNames, component, DRILL_DOWN_FILTER, drillDownFilter, filePanel, fileTypes, FILTER_TYPE_FILTER, filterTypeFilter, model, serviceModel, shortcutPanel, supportType, TABLE_DATA_FILTER, TABLE_HEADER_FILTER, tableColumnHeaderFilter, tableDataCellFilter, TOOLBAR_FILTER, toolbarFilter, transforms, viewerSupport, viewPanel`

Constructor Summary
`InformationServicesSearchPanel(java.lang.String currentPath, com.sas.services.information.RepositoryInterface repository)` Constructor method.
`InformationServicesSearchPanel(java.lang.String initialPath, com.sas.services.user.UserContextInterface user)`

Method Summary
`static java.util.List` | `showDialog(java.awt.Frame parent, java.lang.String currentPath, InformationServicesSearchModel model, boolean returnSelectedItems)` Displays the default dialog.

Methods inherited from class com.sas.swing.visuals.remotefileselector.RemoteFileSearchPanel
`getReturnedInformation, initialize, propertyChange, setCurrentPath, showDialog, showDialog`

Methods inherited from class com.sas.swing.visuals.remotefileselector.BaseRemoteFileSelectorPanel
`contentsChanged, getActionProvider, getActionSupportFilter, getActionSupportType, getUniqueId, getViewComponent, initialize, initialize, isActionVisible, isCancelled, isShowDirectoriesOnly, listActionTypes, listAreaTypes, setActionProvider, setActionSupportType, setActionVisible, setCancelled, setColumnLabels, setDialogType, setServiceModel, setShowButtonPanel, setShowDirectoriesOnly, setShowFileNamePanel, setShowShortcutPanel, setTransforms, setUniqueId, showDialog`

Constructor Detail

### InformationServicesSearchPanel

    public InformationServicesSearchPanel(java.lang.String currentPath,
                                          com.sas.services.information.RepositoryInterface repository)

  Constructor method. Used when only the panel is needed in another component.

  Parameters:
    `currentPath` - the file system path denoting the start of the search
    `repository` - the InformationServices repository used to query for metadata information

### InformationServicesSearchPanel

    public InformationServicesSearchPanel(java.lang.String initialPath,
                                          com.sas.services.user.UserContextInterface user)

Parameters:
  `initialPath` -
  `user` -

Method Detail

### showDialog

    public static java.util.List showDialog(java.awt.Frame parent,
                                            java.lang.String currentPath,
                                            InformationServicesSearchModel model,
                                            boolean returnSelectedItems)

  Displays the default dialog.

  Parameters:
    `parent` - the parent window of the dialog
    `currentPath` - the file system path denoting the start of the search
    `model` - the search model
    `returnSelectedItems` - determines whether to return the selected items from the search results
  Returns:
    a list of Strings containing the selected items from the search results

All Libraries | This Library | Package | Class | Use | Tree | Deprecated | Index | Grand Index | Help
|  | Components |
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 SAS Institute Inc. All Rights Reserved.